<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>yum.depsolve.Depsolve</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css"></link>
</head>
<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">

<!-- =========== START OF NAVBAR =========== -->
<table class="navbar" border="0" width="100%" cellpadding="0" bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="center">
    <th class="navbar">&nbsp;&nbsp;&nbsp;<a class="navbar" href="yumguicore-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
    <th class="navbar">&nbsp;&nbsp;&nbsp;<a class="navbar" href="trees.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
    <th class="navbar">&nbsp;&nbsp;&nbsp;<a class="navbar" href="indices.html">Index</a>&nbsp;&nbsp;&nbsp;</th>
    <th class="navbar">&nbsp;&nbsp;&nbsp;<a class="navbar" href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
    <th class="navbar" width="100%"></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <font size="-1"><b class="breadcrumbs">
        Package&nbsp;yum ::
        Module&nbsp;depsolve ::
        Class&nbsp;Depsolve
      </b></font></br>
    </td>
    <td><table cellpadding="0" cellspacing="0">
      <tr><td align="right"><font size="-2">[show&nbsp;private&nbsp;|&nbsp;<a href="../public/yum.depsolve.Depsolve-class.html">hide&nbsp;private</a>]</font></td></tr>
      <tr><td align="right"><font size="-2">[<a href="frames.html"target="_top">frames</a>&nbsp;|&nbsp;<a href="yum.depsolve.Depsolve-class.html" target="_top">no&nbsp;frames</a>]</font></td></tr>
    </table></td>
</tr></table>

<!-- =========== START OF CLASS DESCRIPTION =========== -->
<h2 class="class">Type Depsolve</h2>

<pre class="base-tree">
<a href="__builtin__.object-class.html"><code>object</code></a> --+
         |
        <b>Depsolve</b>
</pre><br />

<dl><dt><b>Known Subclasses:</b></dt>
<dd>
    <a href="yum.YumBase-class.html"><code>YumBase</code></a></dd></dl>

<hr/>


<!-- =========== START OF METHOD SUMMARY =========== -->
<table class="summary" border="1" cellpadding="3" cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="summary">
  <th colspan="2">Method Summary</th></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><a name="__init__"></a><span class="summary-sig"><span class="summary-sig-name">__init__</span>(<span class=summary-sig-arg>self</span>)</span></code>
</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><a name="isPackageInstalled"></a><span class="summary-sig"><span class="summary-sig-name">_isPackageInstalled</span>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>pkgname</span>)</span></code>
</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.depsolve.Depsolve-class.html#allowedMultipleInstalls" class="summary-sig-name"><code>allowedMultipleInstalls</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>po</span>)</span></code>
<br />
takes a packageObject, returns 1 or 0 depending on if the package 
should/can be installed multiple times with different vers like kernels 
and kernel modules, for example</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><a name="cprof_resolveDeps"></a><span class="summary-sig"><span class="summary-sig-name">cprof_resolveDeps</span>(<span class=summary-sig-arg>self</span>)</span></code>
</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><a name="doTsSetup"></a><span class="summary-sig"><span class="summary-sig-name">doTsSetup</span>(<span class=summary-sig-arg>self</span>)</span></code>
</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.depsolve.Depsolve-class.html#initActionTs" class="summary-sig-name"><code>initActionTs</code></a>(<span class=summary-sig-arg>self</span>)</span></code>
<br />
sets up the ts we'll use for all the work</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><a name="isPackageInstalled"></a><span class="summary-sig"><span class="summary-sig-name">isPackageInstalled</span>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>pkgname</span>)</span></code>
</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.depsolve.Depsolve-class.html#populateTs" class="summary-sig-name"><code>populateTs</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>test</span>,
          <span class=summary-sig-arg>keepold</span>)</span></code>
<br />
take transactionData class and populate transaction set</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><a name="prof_resolveDeps"></a><span class="summary-sig"><span class="summary-sig-name">prof_resolveDeps</span>(<span class=summary-sig-arg>self</span>)</span></code>
</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><a name="resolveDeps"></a><span class="summary-sig"><span class="summary-sig-name">resolveDeps</span>(<span class=summary-sig-arg>self</span>)</span></code>
</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.depsolve.Depsolve-class.html#whatProvides" class="summary-sig-name"><code>whatProvides</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>name</span>,
          <span class=summary-sig-arg>flags</span>,
          <span class=summary-sig-arg>version</span>)</span></code>
<br />
searches the packageSacks for what provides the arguments returns a 
ListPackageSack of providing packages, possibly empty</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><a name="_checkInstall"></a><span class="summary-sig"><span class="summary-sig-name">_checkInstall</span>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>txmbr</span>)</span></code>
</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><a name="_checkRemove"></a><span class="summary-sig"><span class="summary-sig-name">_checkRemove</span>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>txmbr</span>)</span></code>
</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><a name="_delTsInfo"></a><span class="summary-sig"><span class="summary-sig-name">_delTsInfo</span>(<span class=summary-sig-arg>self</span>)</span></code>
</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><a name="_getActionTs"></a><span class="summary-sig"><span class="summary-sig-name">_getActionTs</span>(<span class=summary-sig-arg>self</span>)</span></code>
</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="../private/yum.depsolve.Depsolve-class.html#_getTs" class="summary-sig-name"><code>_getTs</code></a>(<span class=summary-sig-arg>self</span>)</span></code>
<br />
setup all the transaction set storage items we'll need This can't 
happen in __init__ b/c we don't know our installroot yet</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><a name="_getTsInfo"></a><span class="summary-sig"><span class="summary-sig-name">_getTsInfo</span>(<span class=summary-sig-arg>self</span>)</span></code>
</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><a name="_mytsCheck"></a><span class="summary-sig"><span class="summary-sig-name">_mytsCheck</span>(<span class=summary-sig-arg>self</span>)</span></code>
</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="../private/yum.depsolve.Depsolve-class.html#_processConflict" class="summary-sig-name"><code>_processConflict</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>dep</span>)</span></code>
<br />
processes a Conflict dep from the resolveDeps() method</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="../private/yum.depsolve.Depsolve-class.html#_processReq" class="summary-sig-name"><code>_processReq</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>dep</span>,
          <span class=summary-sig-arg>prcoformat_need</span>)</span></code>
<br />
processes a Requires dep from the resolveDeps functions, returns a 
tuple of (CheckDeps, missingdep, conflicts, errors) the last item is an 
array of error messages</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><a name="_provideToPkg"></a><span class="summary-sig"><span class="summary-sig-name">_provideToPkg</span>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>req</span>)</span></code>
</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="../private/yum.depsolve.Depsolve-class.html#_requiredByPkg" class="summary-sig-name"><code>_requiredByPkg</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>prov</span>,
          <span class=summary-sig-arg>pos</span>)</span></code>
<br />
check to see if anything will or does require the provide, return list 
of requiring pkg objects if so</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="../private/yum.depsolve.Depsolve-class.html#_requiringFromInstalled" class="summary-sig-name"><code>_requiringFromInstalled</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>requiringPo</span>,
          <span class=summary-sig-arg>requirement</span>,
          <span class=summary-sig-arg>errorlist</span>)</span></code>
<br />
processes the dependency resolution for a dep where the requiring 
package is installed</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="../private/yum.depsolve.Depsolve-class.html#_requiringFromTransaction" class="summary-sig-name"><code>_requiringFromTransaction</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>requiringPkg</span>,
          <span class=summary-sig-arg>requirement</span>,
          <span class=summary-sig-arg>errorlist</span>)</span></code>
<br />
processes the dependency resolution for a dep where requiring package 
is in the transaction set</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><a name="_setTsInfo"></a><span class="summary-sig"><span class="summary-sig-name">_setTsInfo</span>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>value</span>)</span></code>
</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><a name="_undoDepInstalls"></a><span class="summary-sig"><span class="summary-sig-name">_undoDepInstalls</span>(<span class=summary-sig-arg>self</span>)</span></code>
</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><a name="_unresolveableConflict"></a><span class="summary-sig"><span class="summary-sig-name">_unresolveableConflict</span>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>conf</span>,
          <span class=summary-sig-arg>name</span>,
          <span class=summary-sig-arg>errors</span>)</span></code>
</td></tr>
<tr bgcolor="#e8f0f8" class="group">
  <th colspan="2">&nbsp;&nbsp;&nbsp;&nbsp;Inherited from object</th></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="__builtin__.object-class.html#__delattr__" class="summary-sig-name"><code>__delattr__</code></a>(<span class="summary-sig-vararg">...</span>)</span></code>
<br />
x.__delattr__('name') &lt;==&gt; del x.name</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="__builtin__.object-class.html#__getattribute__" class="summary-sig-name"><code>__getattribute__</code></a>(<span class="summary-sig-vararg">...</span>)</span></code>
<br />
x.__getattribute__('name') &lt;==&gt; x.name</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="__builtin__.object-class.html#__hash__" class="summary-sig-name"><code>__hash__</code></a>(<span class=summary-sig-arg>x</span>)</span></code>
<br />
x.__hash__() &lt;==&gt; hash(x)</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="__builtin__.object-class.html#__new__" class="summary-sig-name"><code>__new__</code></a>(<span class=summary-sig-arg>T</span>,
          <span class=summary-sig-arg>S</span>,
          <span class="summary-sig-vararg">...</span>)</span></code>
<br />
T.__new__(S, ...) -&gt; a new object with type S, a subtype of T</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="__builtin__.object-class.html#__reduce__" class="summary-sig-name"><code>__reduce__</code></a>(<span class="summary-sig-vararg">...</span>)</span></code>
<br />
helper for pickle</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="__builtin__.object-class.html#__reduce_ex__" class="summary-sig-name"><code>__reduce_ex__</code></a>(<span class="summary-sig-vararg">...</span>)</span></code>
<br />
helper for pickle</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="__builtin__.object-class.html#__repr__" class="summary-sig-name"><code>__repr__</code></a>(<span class=summary-sig-arg>x</span>)</span></code>
<br />
x.__repr__() &lt;==&gt; repr(x)</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="__builtin__.object-class.html#__setattr__" class="summary-sig-name"><code>__setattr__</code></a>(<span class="summary-sig-vararg">...</span>)</span></code>
<br />
x.__setattr__('name', value) &lt;==&gt; x.name = value</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="__builtin__.object-class.html#__str__" class="summary-sig-name"><code>__str__</code></a>(<span class=summary-sig-arg>x</span>)</span></code>
<br />
x.__str__() &lt;==&gt; str(x)</td></tr>
</table><br />


<!-- =========== START OF METHOD DETAILS =========== -->
<table class="details" border="1" cellpadding="3" cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="details">
  <th colspan="2">Method Details</th></tr>
</table>

<a name="allowedMultipleInstalls"></a>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>
  <h3><span class="sig"><span class="sig-name">allowedMultipleInstalls</span>(<span class=sig-arg>self</span>,
          <span class=sig-arg>po</span>)</span>
  </h3>
  takes a packageObject, returns 1 or 0 depending on if the package 
  should/can be installed multiple times with different vers like kernels 
  and kernel modules, for example
  <dl><dt></dt><dd>
  </dd></dl>
</td></tr></table>

<a name="initActionTs"></a>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>
  <h3><span class="sig"><span class="sig-name">initActionTs</span>(<span class=sig-arg>self</span>)</span>
  </h3>
  sets up the ts we'll use for all the work
  <dl><dt></dt><dd>
  </dd></dl>
</td></tr></table>

<a name="populateTs"></a>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>
  <h3><span class="sig"><span class="sig-name">populateTs</span>(<span class=sig-arg>self</span>,
          <span class=sig-arg>test</span>=<span class=sig-default>0</span>,
          <span class=sig-arg>keepold</span>=<span class=sig-default>1</span>)</span>
  </h3>
  take transactionData class and populate transaction set
  <dl><dt></dt><dd>
  </dd></dl>
</td></tr></table>

<a name="whatProvides"></a>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>
  <h3><span class="sig"><span class="sig-name">whatProvides</span>(<span class=sig-arg>self</span>,
          <span class=sig-arg>name</span>,
          <span class=sig-arg>flags</span>,
          <span class=sig-arg>version</span>)</span>
  </h3>
  searches the packageSacks for what provides the arguments returns a 
  ListPackageSack of providing packages, possibly empty
  <dl><dt></dt><dd>
  </dd></dl>
</td></tr></table>

<a name="_getTs"></a>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>
  <h3><span class="sig"><span class="sig-name">_getTs</span>(<span class=sig-arg>self</span>)</span>
  </h3>
  setup all the transaction set storage items we'll need This can't 
  happen in __init__ b/c we don't know our installroot yet
  <dl><dt></dt><dd>
  </dd></dl>
</td></tr></table>

<a name="_processConflict"></a>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>
  <h3><span class="sig"><span class="sig-name">_processConflict</span>(<span class=sig-arg>self</span>,
          <span class=sig-arg>dep</span>)</span>
  </h3>
  processes a Conflict dep from the resolveDeps() method
  <dl><dt></dt><dd>
  </dd></dl>
</td></tr></table>

<a name="_processReq"></a>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>
  <h3><span class="sig"><span class="sig-name">_processReq</span>(<span class=sig-arg>self</span>,
          <span class=sig-arg>dep</span>,
          <span class=sig-arg>prcoformat_need</span>)</span>
  </h3>
  processes a Requires dep from the resolveDeps functions, returns a 
  tuple of (CheckDeps, missingdep, conflicts, errors) the last item is an 
  array of error messages
  <dl><dt></dt><dd>
  </dd></dl>
</td></tr></table>

<a name="_requiredByPkg"></a>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>
  <h3><span class="sig"><span class="sig-name">_requiredByPkg</span>(<span class=sig-arg>self</span>,
          <span class=sig-arg>prov</span>,
          <span class=sig-arg>pos</span>=<span class=sig-default>[]</span>)</span>
  </h3>
  check to see if anything will or does require the provide, return 
  list of requiring pkg objects if so
  <dl><dt></dt><dd>
  </dd></dl>
</td></tr></table>

<a name="_requiringFromInstalled"></a>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>
  <h3><span class="sig"><span class="sig-name">_requiringFromInstalled</span>(<span class=sig-arg>self</span>,
          <span class=sig-arg>requiringPo</span>,
          <span class=sig-arg>requirement</span>,
          <span class=sig-arg>errorlist</span>)</span>
  </h3>
  processes the dependency resolution for a dep where the requiring 
  package is installed
  <dl><dt></dt><dd>
  </dd></dl>
</td></tr></table>

<a name="_requiringFromTransaction"></a>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>
  <h3><span class="sig"><span class="sig-name">_requiringFromTransaction</span>(<span class=sig-arg>self</span>,
          <span class=sig-arg>requiringPkg</span>,
          <span class=sig-arg>requirement</span>,
          <span class=sig-arg>errorlist</span>)</span>
  </h3>
  processes the dependency resolution for a dep where requiring 
  package is in the transaction set
  <dl><dt></dt><dd>
  </dd></dl>
</td></tr></table>
<br />


<!-- =========== START OF NAVBAR =========== -->
<table class="navbar" border="0" width="100%" cellpadding="0" bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="center">
    <th class="navbar">&nbsp;&nbsp;&nbsp;<a class="navbar" href="yumguicore-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
    <th class="navbar">&nbsp;&nbsp;&nbsp;<a class="navbar" href="trees.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
    <th class="navbar">&nbsp;&nbsp;&nbsp;<a class="navbar" href="indices.html">Index</a>&nbsp;&nbsp;&nbsp;</th>
    <th class="navbar">&nbsp;&nbsp;&nbsp;<a class="navbar" href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
    <th class="navbar" width="100%"></th>
  </tr>
</table>

<table border="0" cellpadding="0" cellspacing="0" width="100%">
  <tr>
    <td align="left"><font size="-2">Generated by Epydoc 2.1 on Thu Jul 19 13:44:22 2007</font></td>
    <td align="right"><a href="http://epydoc.sourceforge.net"
                      ><font size="-2">http://epydoc.sf.net</font></a></td>
  </tr>
</table>
</body>
</html>
